
#ifndef PhysicsTools_PatAlgos_GenMETExtractor_h
#define PhysicsTools_PatAlgos_GenMETExtractor_h

/**
  \class    pat::GenMETExtractor GenMETExtractor.h "PhysicsTools/PatAlgos/interface/GenMETExtractor.h"
  \brief    Retrieves the genMET from a pat::MET

   The GenMETExtractor produces the analysis-level pat::MET starting from
   a collection of objects of METType.

  \author   Matthieu Marionneau
  \version  $Id: GenMETExtractor.h,v 1.0 2015/07/22 mmarionn Exp $
*/


#include "FWCore/Framework/interface/global/EDProducer.h"
#include "FWCore/Framework/interface/Event.h"
#include "FWCore/Framework/interface/ConsumesCollector.h"
#include "FWCore/ParameterSet/interface/ParameterSet.h"
#include "FWCore/Utilities/interface/InputTag.h"

#include "DataFormats/PatCandidates/interface/MET.h"
#include "DataFormats/METReco/interface/GenMET.h"

namespace pat {

  class GenMETExtractor : public edm::global::EDProducer<> {

    public:

    explicit GenMETExtractor(const edm::ParameterSet& iConfig);
    ~GenMETExtractor() override;

    void produce(edm::StreamID streamID, edm::Event & iEvent,
			 const edm::EventSetup & iSetup) const override;

  private:

    edm::EDGetTokenT<std::vector<pat::MET> > metSrcToken_;
    
  };

}

#endif
